Account Reporting Events
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
},
"payload": [
{
"id": 123,
"name": "<string>",
"value": 123,
"value_in_business_hours": 123,
"event_start_time": "2023-11-07T05:31:56Z",
"event_end_time": "2023-11-07T05:31:56Z",
"account_id": 123,
"conversation_id": 123,
"inbox_id": 123,
"user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Reports
Account Reporting Events
Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
reporting_events
Account Reporting Events
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/reporting_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
},
"payload": [
{
"id": 123,
"name": "<string>",
"value": 123,
"value_in_business_hours": 123,
"event_start_time": "2023-11-07T05:31:56Z",
"event_end_time": "2023-11-07T05:31:56Z",
"account_id": 123,
"conversation_id": 123,
"inbox_id": 123,
"user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
The page parameter
The timestamp from where events should start (Unix timestamp in seconds)
The timestamp from where events should stop (Unix timestamp in seconds)
Filter events by inbox ID
Filter events by user/agent ID
Filter events by event name (e.g., first_response, resolution, reply_time)